class AmbigousOptionError(Exception):
    pass
class NoMatchingOptionFound(AttributeError):
    pass
class ConfigError(Exception):
    pass
class ConflictConfigError(ConfigError):
    pass
class HiddenOptionError(AttributeError):
    pass
class DisabledOptionError(AttributeError):
    pass 
class NotFoundError(Exception):
    pass
class MethodCallError(Exception):
    pass 
class RequiresError(Exception):
    pass    
class MandatoryError(Exception):
    pass 
class SpecialOwnersError(Exception):
    pass 
class ModeOptionError(Exception):
    pass
    
